Fetch a Payout by id
Retrieve payout details by Id.
- Production
- Sandbox
GET/v1/payouts/{id}?include=payout_items
# Fetch payout only (default)curl -X GET 'https://api.minteo.finance/v1/payouts/<payout_id>' \-H 'Authorization: Bearer <your-api-key>'
# Fetch payout with items (eager-load)curl -X GET 'https://api.minteo.finance/v1/payouts/<payout_id>?include=payout_items' \-H 'Authorization: Bearer <your-api-key>'GET/v1/payouts/{id}?include=payout_items
# Fetch payout only (default)curl -X GET 'https://api.sandbox.minteo.finance/v1/payouts/<payout_id>' \-H 'Authorization: Bearer <your-api-key>'
# Fetch payout with items (eager-load)curl -X GET 'https://api.sandbox.minteo.finance/v1/payouts/<payout_id>?include=payout_items' \-H 'Authorization: Bearer <your-api-key>'RESPONSE (with include=payout_items)
{ "output": { "id": "d5e5262c-5697-408d-bb9b-48c3cf8c2f89", "created_at": "2024-10-18T01:43:02.763Z", "updated_at": "2024-10-18T01:43:02.763Z", "finished_at": null, "fee_type": "DEDUCTED_FROM_ITEM_AMOUNT", "fee_amount": "700", "transfer_amount": "2000", "refunded_amount": null, "status": "PENDING", "status_code": "AWAIT_PROCESSING", "origin_source_id": "2af83836-43ea-407b-ab4e-9c64ee817b28", "public_data": { "creator_type": "SYSTEM", "creator_identifier": "pKwqg9A7F832CAIX", "deposit_wallet_address": "0x6f2D66cF59Cf6C1c2609f0127c91A480020dC2fd" }, "activities": [ { "type": "CREATE_PAYOUT", "status": "SUCCEEDED", "last_update_at": "2024-10-18T01:43:02.761Z" }, { "type": "AWAIT_PROCESSING", "status": "PENDING", "last_update_at": "2024-10-18T01:43:02.761Z" } ], "payout_items": [ { "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "payout_id": "d5e5262c-5697-408d-bb9b-48c3cf8c2f89", "created_at": "2024-10-18T01:43:02.763Z", "updated_at": "2024-10-18T01:43:02.763Z", "status": "PENDING", "status_code": "AWAIT_PROCESSING", "amount": "2000", "fee_amount": "700", "effective_amount": "1300", "public_data": null, "activities": [] } ] }, "code": "OK"}Endpoint
GET
/v1/payouts/{id}?include=payout_itemsScope
payouts:details
Request
Path Parameters
idstringId of the payout to retrieve
Query Parameters
includestringOptional. Related resource to eager-load with the payout. Accepted value: payout_items. Use this to fetch the payout and all its items in a single request instead of making separate calls to /v1/payouts/{id}/items.
Response
outputPayoutThe payout details.
output.payout_itemsArray<PayoutItem>Optional. The payout items. Only present when include=payout_items is passed.
codestringThe response status code text.